[coreboot-gerrit] Change in coreboot[master]: payloads/nvramcui/payload.sh

Martin Roth (Code Review) gerrit at coreboot.org
Tue Jan 23 05:45:20 CET 2018


Martin Roth has uploaded this change for review. ( https://review.coreboot.org/23373


Change subject: payloads/nvramcui/payload.sh
......................................................................

payloads/nvramcui/payload.sh

Fix shellcheck warnings:

In payloads/nvramcui/payload.sh line 5:
DIR=`dirname $0`
    ^-- SC2006: Use $(..) instead of deprecated `..`
             ^-- SC2086: Double quote to prevent globbing and word \
                 splitting.

In payloads/nvramcui/payload.sh line 6:
lpgcc -o $DIR/nvramcui.elf $DIR/nvramcui.c 2>&1 >/dev/null || exit 1
         ^-- SC2086: Double quote to prevent globbing and word \
             splitting.
                           ^-- SC2086: Double quote to prevent \
                               globbing and word splitting.
                                           ^-- SC2069: The order of \
                                                of the 2>&1 and the \
                                                redirect matters. The \
                                                2>&1 has to be last.

Change-Id: Iceab2d0df49c642f54e6b911793aa1479f542644
Signed-off-by: Martin Roth <martinroth at google.com>
---
M payloads/nvramcui/payload.sh
1 file changed, 2 insertions(+), 2 deletions(-)



  git pull ssh://review.coreboot.org:29418/coreboot refs/changes/73/23373/1

diff --git a/payloads/nvramcui/payload.sh b/payloads/nvramcui/payload.sh
index 57ed38b..3d171e6 100755
--- a/payloads/nvramcui/payload.sh
+++ b/payloads/nvramcui/payload.sh
@@ -2,6 +2,6 @@
 #
 # This is a trivial payload compile & find script for abuild
 #
-DIR=`dirname $0`
-lpgcc -o $DIR/nvramcui.elf $DIR/nvramcui.c 2>&1 >/dev/null || exit 1
+DIR=$(dirname "$0")
+lpgcc -o "$DIR/nvramcui.elf" "$DIR/nvramcui.c" >/dev/null 2>&1 || exit 1
 echo "$DIR/nvramcui.elf"

-- 
To view, visit https://review.coreboot.org/23373
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings

Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: Iceab2d0df49c642f54e6b911793aa1479f542644
Gerrit-Change-Number: 23373
Gerrit-PatchSet: 1
Gerrit-Owner: Martin Roth <martinroth at google.com>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.coreboot.org/pipermail/coreboot-gerrit/attachments/20180123/5705058c/attachment.html>


More information about the coreboot-gerrit mailing list